<script>
    // Imports
    import { area } from "d3-shape";
    import { scaleLinear, scaleTime } from "d3-scale";
    import { extent, max } from "d3-array";
    import { timeParse } from "d3-time-format"; 

    export let data = [];

    // local variables
    let dates = data.map(d => new Date(2014, 11, d.day, d.hour));
    let gas = data.map(d => d.total_gas);
    let electricity = data.map(d => d.total_electrity);
    
    const upperRange = 10;
    const lowerRange = 10;

    let leafWidth = 240*(data.length/168);
    const leafHeight = 100;

    const xScale = scaleTime()
        .domain(extent(dates))
        .range([0, leafWidth])
    const yScaleElec = scaleLinear()
        .domain([0, max(electricity)])
        .range([leafHeight/2,0])
        
    const yScaleGas = scaleLinear()
        .domain([0, max(gas)])
        .range([leafHeight/2, leafHeight])
    const areaElec = area()
        .x(d => xScale(new Date(2014, 11, d.day, d.hour)))
        .y0(yScaleElec(0))
        .y1(d => yScaleElec(d.total_electrity))
    const areaGas = area()
        .x(d => xScale(new Date(2014, 11, d.day, d.hour)))
        .y0(yScaleGas(0))
        .y1(d => yScaleGas(d.total_gas))

</script>

<svg>
        <path d={areaElec(data)} fill="#195ebd"/>
        <path d={areaGas(data)} fill="#ffa634"/>
        <line x1=0 y1={leafHeight/2} x2={leafWidth} y2={leafHeight/2} style="stroke:#000000;stroke-width:2"/>
</svg>
